import * as cloudwatch from '../../aws-cloudwatch';
import { Construct } from '../../core';
/**
 * (experimental) Types of OpsItem severity available.
 *
 * @experimental
 */
export declare enum OpsItemSeverity {
    /**
     * (experimental) Set the severity to critical.
     *
     * @experimental
     */
    CRITICAL = "1",
    /**
     * (experimental) Set the severity to high.
     *
     * @experimental
     */
    HIGH = "2",
    /**
     * (experimental) Set the severity to medium.
     *
     * @experimental
     */
    MEDIUM = "3",
    /**
     * (experimental) Set the severity to low.
     *
     * @experimental
     */
    LOW = "4"
}
/**
 * (experimental) Types of OpsItem category available.
 *
 * @experimental
 */
export declare enum OpsItemCategory {
    /**
     * (experimental) Set the category to availability.
     *
     * @experimental
     */
    AVAILABILITY = "Availability",
    /**
     * (experimental) Set the category to cost.
     *
     * @experimental
     */
    COST = "Cost",
    /**
     * (experimental) Set the category to performance.
     *
     * @experimental
     */
    PERFORMANCE = "Performance",
    /**
     * (experimental) Set the category to recovery.
     *
     * @experimental
     */
    RECOVERY = "Recovery",
    /**
     * (experimental) Set the category to security.
     *
     * @experimental
     */
    SECURITY = "Security"
}
/**
 * (experimental) Use an SSM OpsItem action as an Alarm action.
 *
 * @experimental
 */
export declare class SsmAction implements cloudwatch.IAlarmAction {
    private severity;
    private category?;
    /**
     * @experimental
     */
    constructor(severity: OpsItemSeverity, category?: OpsItemCategory);
    /**
     * (experimental) Returns an alarm action configuration to use an SSM OpsItem action as an alarm action.
     *
     * @experimental
     */
    bind(_scope: Construct, _alarm: cloudwatch.IAlarm): cloudwatch.AlarmActionConfig;
}
